[master] f33f798ed Eliminate annoying stderr diagnostic
Poul-Henning Kamp
phk at FreeBSD.org
Mon Sep 20 08:08:07 UTC 2021
commit f33f798ede8a6fa0524f2a69d81c64848174174a
Author: Poul-Henning Kamp <phk at FreeBSD.org>
Date: Mon Sep 20 08:07:33 2021 +0000
Eliminate annoying stderr diagnostic
diff --git a/tools/vtest.sh b/tools/vtest.sh
index ef99fadde..bf46d894e 100755
--- a/tools/vtest.sh
+++ b/tools/vtest.sh
@@ -220,10 +220,14 @@ while [ $MAXRUNS -eq 0 ] || [ $i -lt $MAXRUNS ]
do
i=$((i + 1))
- (cd "${SRCDIR}" && git reset --hard > /dev/null 2>&1 || true)
- (cd "${SRCDIR}" && git clean -df > /dev/null 2>&1 || true)
- (cd "${SRCDIR}" && git pull > /dev/null 2>&1 || true)
- (cd "${SRCDIR}" && chmod -R +w varnish-trunk && rm -rf varnish-trunk > /dev/null 2>&1 || true)
+ (
+ cd "${SRCDIR}"
+ chmod -R +w varnish-trunk > /dev/null 2>&1 || true
+ rm -rf varnish-trunk > /dev/null 2>&1 || true
+ git reset --hard > /dev/null 2>&1 || true
+ git clean -df > /dev/null 2>&1 || true
+ git pull > /dev/null 2>&1
+ )
rev=`cd "${SRCDIR}" && git show -s --pretty=format:%H`
if [ "x${rev}" != "x${orev}" ] ; then
waitcur=${WAITMIN}
More information about the varnish-commit
mailing list